package chess4j.hash;

public class TTEntry {

	private TTEntryType entryType;
	private int fullKey;
	private int depth;
	private int score;
	
	public TTEntry(TTEntryType entryType,int fullKey,int depth,int score) {
		this.entryType=entryType;
		this.fullKey=fullKey;
		this.depth=depth;
		this.score=score;
	}

	public TTEntryType getEntryType() {
		return entryType;
	}
	
	public int getDepth() {
		return depth;
	}

	public int getFullKey() {
		return fullKey;
	}

	public int getScore() {
		return score;
	}
	
}
